Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.btree
Class BTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.filer.FilerException
                          com.dbxml.db.common.btree.BTreeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BTreeCorruptException, BTreeNotFoundException

public class BTreeException
extends FilerException

A BTreeException is thrown by the BTree if an exception occurs in the managing of the BTree.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`BTreeException(int faultCode)`
`BTreeException(int faultCode, java.lang.String message)`
`BTreeException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`BTreeException(int faultCode, java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BTreeException

    public BTreeException(int faultCode)

### BTreeException

    public BTreeException(int faultCode,
                          java.lang.Throwable wrapped)

### BTreeException

    public BTreeException(int faultCode,
                          java.lang.String message)

### BTreeException

    public BTreeException(int faultCode,
                          java.lang.String message,
                          java.lang.Throwable wrapped)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group